Skip to main content
POST
/
affiliates
/
offers
/
{offerId}
/
trackingurl
Generate Tracking URL
curl --request POST \
  --url https://api.eflow.team/v1/affiliates/offers/{offerId}/trackingurl \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "url_id": 0,
  "sub1": "",
  "sub2": "",
  "sub3": "",
  "sub4": "",
  "sub5": ""
}
'
{
  "tracking_url": "<string>"
}

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.

Path Parameters

offerId
integer
required

The numeric ID of the offer.

Body

application/json
url_id
integer
default:0

The destination URL ID. Use 0 for the default offer URL.

sub1
string

Sub-parameter 1 value to append to the tracking URL.

sub2
string

Sub-parameter 2 value to append to the tracking URL.

sub3
string

Sub-parameter 3 value to append to the tracking URL.

sub4
string

Sub-parameter 4 value to append to the tracking URL.

sub5
string

Sub-parameter 5 value to append to the tracking URL.

Response

OK

tracking_url
string

The full tracking link URL for the affiliate to use.